Subject: Re: [DNSOP] Alexey Melnikov's Discuss on draft-ietf-dnsop-dns-capture-format-08: (with DISCUSS and COMMENT)
From: Heather Flanagan <[email-masked]>
To: Warren Kumari <[email-masked]>, Sara Dickinson <[email-masked]>
Cc: Alexey Melnikov <[email-masked]>, Tim Wicinski <[email-masked]>, dnsop <[email-masked]>, The IESG <[email-masked]>, [email-masked]
Date: Wed, 21 Nov 2018 10:27:25 -0800
List-Id: IETF DNSOP WG mailing list <dnsop.ietf.org>

On 11/21/18 9:33 AM, Warren Kumari wrote:
> [ - DNSOP (for clutter), +Heather / RFC Editor for sanity :-P ]
>
> On Wed, Nov 21, 2018 at 9:47 AM Sara Dickinson <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>
>>     On 21 Nov 2018, at 14:42, Alexey Melnikov <[email-masked]
>>     <mailto:[email-masked]>> wrote:
>
>     Thanks for the quick response.
>
>>
>>     Hi Sara,
>>>>
>>>>     1)
>>>>
>>>>     In 7.4.2:
>>>>
>>>>       | filter           | O | T | "tcpdump" [pcap] style filter
>>>>     for      |
>>>>       |                  |   |   | input.
>>>>                                     |
>>>>
>>>>     This makes the [pcap] reference Normative. If you don't want to
>>>>     do that, please
>>>>     fully specify syntax in this document.
>>>
>>>     Is that true if it is an optional field?
>>     Yes, optionallity of a field doesn't make its full specification
>>     optional.
>
>     In which case it seems we can either include a more specific
>     normative reference here to this page:
>     http://www.tcpdump.org/manpages/pcap-filter.7.html
>
>     or reproduce this page in an appendix. I’d prefer the former
>     unless a reference to such a web page would prove problematic as a
>     normative reference?
>
>
> We discussed this on the telechat, and I took the action to try look 
> into this.
> One of the concerns with a normative reference to the webpage is what 
> happens if it is updated to add a new primitive - is it allowed? If 
> someone implements this on Thursday, can they still claim conformance 
> if a new primitive is added on Friday?

If there was a way to point to a particular snapshot of the page (e.g., 
a particular hash on a GitHub page, a particular timestamped version) 
that would get around this.

>
> What we made up on the call was to simply grab a copy of 
> http://www.tcpdump.org/manpages/pcap-filter.7.html (it seems to be 
> under the BSD license) and put it somewhere on ietf.org 
> <http://ietf.org>, so we have a stable snapshot to reference, and ask 
> you to point to that.
> But, this was simply us making stuff up on the fly - I'm hoping that 
> the RFC Editor can tell us if this is sane or the worst idea ever, or 
> what....'''

This also works, though I'd want to you all to think about the precedent 
this sets. Are you willing to do this on a regular basis? Managing a one 
off, dealing any any particular copyright issues (not a problem in this 
case, I believe, but it could be interesting in other cases), those are 
more challenging.

-Heather

>
> W
>
>
>
>     Sara.
>     _______________________________________________
>     DNSOP mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/dnsop
>
>
>
> -- 
> I don't think the execution is relevant when it was obviously a bad 
> idea in the first place.
> This is like putting rabid weasels in your pants, and later expressing 
> regret at having chosen those particular rabid weasels and that pair 
> of pants.
>    ---maf